Bug 60250 - Need to Add Sent KB/s in Statistics Report of HTML Dashboard
Summary: Need to Add Sent KB/s in Statistics Report of HTML Dashboard
Status: VERIFIED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.0
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-13 19:09 UTC by Ahmad
Modified: 2016-10-20 19:43 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ahmad 2016-10-13 19:09:40 UTC
I verified bugs 
60210 and 60229 
that they added sentBytes to JTL output.  But the Aggregate Report (and others) have only KB/s (which is assumed to be received KB/s) and NOT Sent (KB/s).

This will be a very useful metrics.

thanks

Ahmad
Comment 1 Philippe Mouawad 2016-10-13 19:40:01 UTC
Author: pmouawad
Date: Thu Oct 13 19:39:42 2016
New Revision: 1764772

URL: http://svn.apache.org/viewvc?rev=1764772&view=rev
Log:
Bug 60250 - Need to Add Sent KB/s in Statistics Report of HTML Dashboard

Bugzilla Id: 60250

Modified:
    jmeter/trunk/bin/report-template/content/js/dashboard.js.fmkr
    jmeter/trunk/src/core/org/apache/jmeter/report/processor/StatisticsSummaryConsumer.java
    jmeter/trunk/src/core/org/apache/jmeter/report/processor/StatisticsSummaryData.java
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/xdocs/changes.xml
Comment 2 Philippe Mouawad 2016-10-13 19:59:31 UTC
@Ahmad, I updated the HTML report for now.
You can test nightly build and give your feedback.

I created bug 60252 for your initial request on Summary and Aggregate report but for now I cannot tell you when it's implemented.
Comment 3 Ahmad 2016-10-13 20:05:36 UTC
I will test it tomorrow.
Comment 4 Philippe Mouawad 2016-10-17 20:12:02 UTC
Author: pmouawad
Date: Mon Oct 17 20:11:29 2016
New Revision: 1765366

URL: http://svn.apache.org/viewvc?rev=1765366&view=rev
Log:
60250 : Report / Dashboard : Need to Add Sent KB/s in Statistics Report of HTML Dashboard
Avoid failure when reading a 3.0 file with default configuration.
Default sent_bytes to 0
Default connect to 0

Bugzilla Id: 60250

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/report/core/Sample.java
    jmeter/trunk/src/core/org/apache/jmeter/report/core/SampleMetadata.java
Comment 5 UbikLoadPack support 2016-10-18 11:09:39 UTC
(In reply to Ahmad from comment #3)
> I will test it tomorrow.

Hello,
Any feedback on bug fixes:
- Bug 60252
- This one ?


Thanks
Comment 6 Ahmad 2016-10-20 19:43:41 UTC
I verified today on https://groups.google.com/forum/#!topic/jmeter-plugins/2BjDQts2Y0Y

Thank you